#ifndef MY_PASTEIMAGE
#define MY_PASTEIMAGE


#include "i3d/image3d.h"


/**
 * The function pastes the \e smallOne image into the \e bigOne image
 * overwriting any values that's been originally in the \e bigOne.
 * The position of the \e smallOne within the \e bigOne is stored
 * at the \e offset (given in pixels).
 */
template <typename VOXEL>
void PasteImage(i3d::Image3d<VOXEL> &bigOne,
					 i3d::Image3d<VOXEL> const &smallOne,
					 i3d::Vector3d<int> const &offset);
#endif
